Subject: Re: bug#1534: Font lock decoration levels mismatch?

From: Glenn Morris <[email-masked]>
Date: Thu, 11 Dec 2008 18:52:18 -0500

Derick Eddington wrote:

> The documentation at "23.6.1 Font Lock Basics" and "23.6.5 Levels of
> Font Lock" refers to level numbers starting at 1, but when I customize
> the level for a specific mode (one I'm still developing) the number
> given to Customize is 0-based not 1-based; i.e., my `font-lock-defaults'
> `KEYWORDS' member is like `(level-1 level-2 level-3 level-4)' and, e.g.,
> to make Customize use level-3 I have to tell it the number 2.

I don't really understand the problem. What exactly are you
customizing, and how?

In general, the actual Lisp expression used by Customize is not
terribly important - use a tag instead to give a more human-readable
set of choices (eg "minimum", "medium", "maximum" rather than 1, 2, 3).